@if (@a)==(@b) @end /*

:: Batch
@echo off &setlocal

set /a "start=21653196, stop=21653201"

for /l %%i in (%start% 1 %stop%) do (
  if exist "%%i.xml" (
    cscript //nologo //e:jscript "%~fs0" "%%i.xml"
  ) else (
    echo "%%i.xml" not found
  )
)

pause

:: JScript
exit /b&::*/ try {
  var xmlFileName = WScript.Arguments(0);
      oXmlDoc = new ActiveXObject('Microsoft.XMLDOM');

  oXmlDoc.load(xmlFileName);

  var colEyeNodes = oXmlDoc.documentElement.getElementsByTagName('eye'),
      colPersonNodes = oXmlDoc.documentElement.getElementsByTagName('person');

  if (colEyeNodes.length === 2 && colPersonNodes.length === 4) {
    var arrEyeBoundX = new Array(parseFloat(colEyeNodes.item(0).selectSingleNode('eye-bounds/geometry/Rectangle').getAttribute('x')),
                                 parseFloat(colEyeNodes.item(1).selectSingleNode('eye-bounds/geometry/Rectangle').getAttribute('x'))),
        person1x = colPersonNodes.item(0).selectSingleNode('geometry/Rectangle').getAttribute('x'),
        person1y = colPersonNodes.item(0).selectSingleNode('geometry/Rectangle').getAttribute('y'),
        person2x = colPersonNodes.item(1).selectSingleNode('geometry/Rectangle').getAttribute('x'),
        person2y = colPersonNodes.item(1).selectSingleNode('geometry/Rectangle').getAttribute('y'),
        person3x = colPersonNodes.item(2).selectSingleNode('geometry/Rectangle').getAttribute('x'),
        person3y = colPersonNodes.item(2).selectSingleNode('geometry/Rectangle').getAttribute('y'),
        person4x = colPersonNodes.item(3).selectSingleNode('geometry/Rectangle').getAttribute('x'),
        person4y = colPersonNodes.item(3).selectSingleNode('geometry/Rectangle').getAttribute('y');

    if (arrEyeBoundX[0] < arrEyeBoundX[1]) {
      colEyeNodes.item(0).selectSingleNode('lower-eyelid/geometry/Point').setAttribute('x', person1x);
      colEyeNodes.item(0).selectSingleNode('lower-eyelid/geometry/Point').setAttribute('y', person1y);
      colEyeNodes.item(0).selectSingleNode('upper-eyelid/geometry/Point').setAttribute('x', person2x);
      colEyeNodes.item(0).selectSingleNode('upper-eyelid/geometry/Point').setAttribute('y', person2y);
      colEyeNodes.item(1).selectSingleNode('lower-eyelid/geometry/Point').setAttribute('x', person3x);
      colEyeNodes.item(1).selectSingleNode('lower-eyelid/geometry/Point').setAttribute('y', person3y);
      colEyeNodes.item(1).selectSingleNode('upper-eyelid/geometry/Point').setAttribute('x', person4x);
      colEyeNodes.item(1).selectSingleNode('upper-eyelid/geometry/Point').setAttribute('y', person4y);
    } else {
      colEyeNodes.item(0).selectSingleNode('lower-eyelid/geometry/Point').setAttribute('x', person3x);
      colEyeNodes.item(0).selectSingleNode('lower-eyelid/geometry/Point').setAttribute('y', person3y);
      colEyeNodes.item(0).selectSingleNode('upper-eyelid/geometry/Point').setAttribute('x', person4x);
      colEyeNodes.item(0).selectSingleNode('upper-eyelid/geometry/Point').setAttribute('y', person4y);
      colEyeNodes.item(1).selectSingleNode('lower-eyelid/geometry/Point').setAttribute('x', person1x);
      colEyeNodes.item(1).selectSingleNode('lower-eyelid/geometry/Point').setAttribute('y', person1y);
      colEyeNodes.item(1).selectSingleNode('upper-eyelid/geometry/Point').setAttribute('x', person2x);
      colEyeNodes.item(1).selectSingleNode('upper-eyelid/geometry/Point').setAttribute('y', person2y);
    }

    oXmlDoc.save(xmlFileName);
    WScript.Quit(0);
  } else {
    WScript.StdErr.WriteLine('Wrong number of either "eye" or "person" nodes.');
    WScript.Quit(1);
  }
}
catch(e) {
  WScript.StdErr.WriteLine(e.message);
  WScript.Quit(1);
}
